Ubuntu: dpkg error while installing heroku on ubuntu 14.04



Question:

I am trying to install heroku toolbelt on mu ubuntu 14.04

I tried so many things including an answer from here itself. It was to run the following command

wget -qO- https://toolbelt.heroku.com/install-ubuntu.sh | sh

Yet I am still getting the following error:

gzip: stdin: unexpected end of file  tar: Child returned status 1  tar: Error is not recoverable: exiting now  No apport report written because the error message indicates its a followup error from a previous failure.  dpkg: error processing package heroku (--configure):   subprocess installed post-installation script returned error exit status 2  dpkg: dependency problems prevent configuration of heroku-toolbelt:   heroku-toolbelt depends on heroku (= 3.99.4); however:    Package heroku is not configured yet.    dpkg: error processing package heroku-toolbelt (--configure):   dependency problems - leaving unconfigured  Errors were encountered while processing:   heroku   heroku-toolbelt  E: Sub-process /usr/bin/dpkg returned an error code (1)  


Solution:1

You misread the instructions on their webpage - the wget... command applies to Ubuntu 12 and below.

For your system, Ubuntu 14.04 please use the other command specified:

sudo snap install heroku


Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »